<template>
  <q-header elevated class="q-bg-header text-white">
    <q-toolbar>
      <q-btn  v-if="isLogin" flat dense icon="menu" @click="$emit('onDrawer')" />
      <q-toolbar-title>
        <img src="statics/header_logo.png">
      </q-toolbar-title>
      <template v-if="isLogin">
        <span>{{ fullName }}</span>
        <q-btn flat dense icon-right="fas fa-sign-out-alt" @click="onLogout" />
      </template>
    </q-toolbar>
  </q-header>
</template>

<script>
import { mapGetters } from 'vuex'

export default {
  props: {
    title: {
      type: String,
      default: 'Drinker'
    },
    drawer: {
      type: Boolean
    }
  },
  computed: {
    ...mapGetters({
      isLogin: 'auth/isLogin',
      fullName: 'auth/fullName'
    })
  },
  methods: {
    onLogout () {
      this.$store.dispatch('auth/logout')
      this.$router.push({ name: 'auth.login' })
    }
  }
}
</script>
